Bug 210778 - multimedia/py-subliminal: Update to 2.0.3, new dependencies
Summary: multimedia/py-subliminal: Update to 2.0.3, new dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jan Beich
URL:
Keywords: easy, patch
Depends on: 210775 210776
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-03 13:56 UTC by Andrej Ebert
Modified: 2016-07-18 19:28 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (wg)


Attachments
py-subliminal update to 2.0.3 (2.13 KB, patch)
2016-07-03 13:56 UTC, Andrej Ebert
no flags Details | Diff
update to 2.0.3 (2.30 KB, patch)
2016-07-10 19:57 UTC, Andrej Ebert
no flags Details | Diff
poudriere log (35.08 KB, text/plain)
2016-07-10 19:57 UTC, Andrej Ebert
no flags Details
poudriere-portlint log (90 bytes, text/plain)
2016-07-10 19:58 UTC, Andrej Ebert
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrej Ebert 2016-07-03 13:56:22 UTC
Created attachment 172061 [details]
py-subliminal update to 2.0.3

There's a new release, 2.0.3 (https://github.com/Diaoul/subliminal/releases/tag/2.0.3)

I have been able to build, install and run it successfully on my system, svn diff attached (i didn't change any comments, etc in the makefile, as i don't know what the proper format/etiquette is)

New dependencies: devel/py-appdirs, archivers/py-rarfile, devel/pytz and devel/py-futures

There are a few caveats:

It needs a newer dogpile.cache, see my patch here:
 
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=210776

It needs a newer guessit Version, see my patch for the port here:

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=210775

For Python < 3.2 it depends on devel/py-futures, I don't know ho to properly condition it in the makefile.

It builds, installs, deinstalls and works fine on my system:FreeBSD 10.3-BETA3 #0 r296162 amd64 and also passes portlint.
Comment 1 Andrej Ebert 2016-07-10 19:57:35 UTC
Created attachment 172354 [details]
update to 2.0.3

made py-futures dependency conditional on Python version
Comment 2 Andrej Ebert 2016-07-10 19:57:50 UTC
Created attachment 172355 [details]
poudriere log
Comment 3 Andrej Ebert 2016-07-10 19:58:06 UTC
Created attachment 172356 [details]
poudriere-portlint log
Comment 4 commit-hook freebsd_committer 2016-07-18 19:13:27 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul 18 19:12:58 UTC 2016
New revision: 418736
URL: https://svnweb.freebsd.org/changeset/ports/418736

Log:
  multimedia/py-subliminal: update to 2.0.3

  Changes:	https://pypi.python.org/pypi/subliminal#changelog
  PR:		210778
  Submitted by:	Andrej Ebert <andrej@ebert.su>
  Approved by:	maintainer timeout (2 weeks)

Changes:
  head/multimedia/py-subliminal/Makefile
  head/multimedia/py-subliminal/distinfo
Comment 5 Jan Beich freebsd_committer 2016-07-18 19:28:03 UTC
Thanks. Landed.